# online-store

## Описание

Данный проект представляет собой систему управления онлайн-магазином, которая позволяет работать с учётными записями клиентов и заказами. Пользователи могут добавлять, обновлять и удалять учётные записи клиентов, а также управлять заказами: создавать, обновлять и отменять их.

## Структура проекта

- `user_management.py` — модуль для управления учётными записями клиентов.
- `order_management.py` — модуль для управления заказами.
- `__main__.py` — главный файл проекта, запускает текстовое меню для взаимодействия с пользователем.
- `__init__.py` — файл инициализации пакета, позволяет импортировать классы `UserManager` и `OrderManager` на уровне пакета.

## Установка и запуск

1. Клонируйте репозиторий или скачайте файлы проекта.

2. Убедитесь, что у вас установлен Python версии 3.6 или выше.

3. Запустите проект, используя команду:

    ```bash
    python -m online_store
    ```

   Это откроет текстовое меню, через которое можно управлять учётными записями и заказами.

## Использование

### Главное меню

После запуска программы пользователю будет предложено выбрать одно из следующих действий:

1. Управление учётными записями клиентов
2. Управление заказами
3. Выход из программы

### Управление учётными записями

В этом разделе можно:

- Добавить новую учётную запись клиента (email, имя, возраст)
- Найти существующую учётную запись по email
- Удалить учётную запись по email

### Управление заказами

В этом разделе можно:

- Создать новый заказ (ID заказа, email клиента, товар, цена)
- Обновить статус существующего заказа
- Отменить существующий заказ

## Пример использования

После запуска программы:

```bash
Выберите действие:
1. Управление учётными записями
2. Управление заказами
3. Выход
